package com.iamberry.wechat.service.withdrawal;

import com.iamberry.wechat.core.entity.coupon.CouponItem;
import com.iamberry.wechat.core.entity.coupon.CouponItemDto;
import com.iamberry.wechat.core.entity.welfare.UserAmount;
import com.iamberry.wechat.core.entity.welfare.UserAmountLogs;
import com.iamberry.wechat.core.entity.welfare.UserAtLogs;
import com.iamberry.wechat.core.entity.welfare.WelfareLogs;
import com.iamberry.wechat.face.coupon.WelfareService;
import com.iamberry.wechat.face.withdrawal.UserAtLogsService;
import com.iamberry.wechat.service.mapper.*;
import com.iamberry.wechat.tools.DateTimeUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DuplicateKeyException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

import java.sql.SQLException;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * @author root
 */
@Service
public class UserAtLogsServiceImpl implements UserAtLogsService {
@Autowired
private UserAtLogsMapper userAtLogsMapper;

    @Override
    public int del(Integer atId) {
        return userAtLogsMapper.del(atId);
    }

    @Override
    public int add(UserAtLogs record) {
        return userAtLogsMapper.add(record);
    }

    @Override
    public UserAtLogs get(Integer atId) {
        return userAtLogsMapper.get(atId);
    }

    @Override
    public int edit(UserAtLogs record) {
        return userAtLogsMapper.edit(record);
    }

    @Override
    public List<UserAtLogs> list(UserAtLogs data) {
        return userAtLogsMapper.list(data);
    }

    @Override
    public List<UserAtLogs> selectAtlogsInfo(UserAtLogs data) {
        data.getPage().initRecordBegin();
        return userAtLogsMapper.selectAtlogsInfo(data);
    }

    @Override
    public Integer selectAtlogsInfoCount(UserAtLogs data) {
        return userAtLogsMapper.selectAtlogsInfoCount(data);
    }

}
